bl_info = {
    "name": "Easy Patch",
    "author": "oimoyu",
    "version": (2, 1, 0),
    "blender": (3, 2, 0),
    "location": "View3D > Sidebar > Easy Patch",
    "description": "Easy Patch",
    "category": "Object",
}


import bpy
from .ui import classes as ui_classes
from .op import classes as op_classes
from .preference import classes as preference_classes
from .property import property_classes, EasyPatchProperty
from .utils.trans import t
from . import const


classes = ui_classes + op_classes + property_classes + preference_classes


def register():
    # # delete when release
    bpy.app.debug = False

    for cls in classes:
        bpy.utils.register_class(cls)

    bpy.types.Scene.easy_patch_properties = bpy.props.PointerProperty(
        type=EasyPatchProperty
    )

    # for i in bpy.context.preferences.addons:
    #     print(i)

    # print(bpy.context.preferences.addons["blender-easy-patch-2"].preferences)


def unregister():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)

    del bpy.types.Scene.easy_patch_properties
